Get trial balance
GET
/api/accounting/trial-balance
const url = 'https://api.getvespy.com/api/accounting/trial-balance?asOf=2026-04-15&basis=accrual';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.getvespy.com/api/accounting/trial-balance?asOf=2026-04-15&basis=accrual' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”asOf
required
string format: date
basis
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
asOf
required
string format: date
basis
required
string
creditTotalCents
required
integer
debitTotalCents
required
integer
isBalanced
required
boolean
rows
required
Array<object>
object
accountCode
required
string
accountId
required
string format: uuid
accountName
required
string
accountType
required
string
balanceCents
required
integer
creditCents
required
integer
debitCents
required
integer
Example
{ "basis": "accrual", "rows": [ { "accountType": "asset" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}